Debian Bug report logs - #151532
aide: detect moving files

version graph

Package: aide; Maintainer for aide is Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>; Source for aide is src:aide.

Reported by: Robert Bihlmeyer <robbe@orcus.priv.at>

Date: Mon, 1 Jul 2002 10:03:19 UTC

Severity: wishlist

Tags: fixed-upstream, moreinfo, upstream

Found in version 0.8-2

Fixed in version 0.11-1

Done: Marc Haber <mh+debian-packages@zugschlus.de>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/tracker/index.php?func=detail&aid=1337722&group_id=86976&atid=581582

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mike Markley <mike@markley.org>, aide@packages.qa.debian.org:
Bug#151532; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Robert Bihlmeyer <robbe@orcus.priv.at>:
New Bug report received and forwarded. Copy sent to Mike Markley <mike@markley.org>, aide@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Bihlmeyer <robbe@orcus.priv.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aide: detect moving files
Date: Mon, 1 Jul 2002 11:37:42 +0200 (CEST)
Package: aide
Version: 0.8-2
Severity: wishlist

Wouldn't it be nice if aide detected whenever a file moved from one
(aide-checked) location to another?

Two scenarios where this could help come to mind immediately:

* backup files
Although today I usually let aide ignore them, with the proposed
feature aide could tell me something like

  Changed files:
  [...]
  /etc/passwd (old version in /etc/passwd-)
  [...]

So if I'm confused about the exact changes to passwd, I can run
diff. There's also no need to explicitly ignore backups (except for
files that are changed often).

* log rotating
This usually trips up aide, as the log itself is truncated, and all
the old copies change as well. Output like this would be much nicer:

  Changed files:
  [...]
  /var/log/syslog   (old version in /var/log/syslog.1)
  /var/log/syslog.1 (old version in /var/log/syslog.2)
  [...]

Ok, now that I hopefully sold you the benefits, let's look at the
implementation: aide already knows the md5 (or whatever) sums of most
files. If a changed file A has the md5 of another file B, we can
assume that B has moved to A. It should be possible to implement that
with small overhead by using a md5sum => filename map.

Comments?



Tags added: upstream Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mike Markley <mike@markley.org>:
Bug#151532; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Mike Markley <mike@markley.org>. Full text and rfc822 format available.

Message #12 received at 151532@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Robert Bihlmeyer <robbe@orcus.priv.at>, 151532@bugs.debian.org, 151532-submitter@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: Bug#151532: aide: detect moving files
Date: Tue, 25 Oct 2005 20:28:24 +0200
forwarded #151532 https://sourceforge.net/tracker/index.php?func=detail&aid=1337722&group_id=86976&atid=581582
thanks

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Noted your statement that Bug has been forwarded to https://sourceforge.net/tracker/index.php?func=detail&aid=1337722&group_id=86976&atid=581582. Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Robert Bihlmeyer <robbe@orcus.priv.at>:
Bug#151532. Full text and rfc822 format available.

Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>:
Bug#151532; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #24 received at 151532@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Robert Bihlmeyer <robbe@orcus.priv.at>, 151532@bugs.debian.org, 151532-submitter@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: Bug#151532: aide: detect moving files
Date: Mon, 8 May 2006 10:12:45 +0200
tags #151532 moreinfo
user aide@packages.debian.org
usertags #151532 close-20060630
thanks

On Mon, Jul 01, 2002 at 11:37:42AM +0200, Robert Bihlmeyer wrote:
> Wouldn't it be nice if aide detected whenever a file moved from one
> (aide-checked) location to another?

This has been implemented in aide 0.11. Can you please check whether
the new behavior suits your needs?

If you don't report back, I'll close this bug by the end of June 2006.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Tags added: moreinfo Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Robert Bihlmeyer <robbe@orcus.priv.at>:
Bug#151532. Full text and rfc822 format available.

Reply sent to Marc Haber <mh+debian-packages@zugschlus.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Robert Bihlmeyer <robbe@orcus.priv.at>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #34 received at 151532-done@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: 151532-done@bugs.debian.org, 151532-submitter@bugs.debian.org
Cc: Robert Bihlmeyer <robbe@orcus.priv.at>
Subject: Re: Re: Bug#151532: aide: detect moving files
Date: Tue, 18 Jul 2006 16:31:59 +0200
Version: 0.11-1

On Mon, May 08, 2006 at 10:12:45AM +0200, Marc Haber wrote:
> This has been implemented in aide 0.11. Can you please check whether
> the new behavior suits your needs?
> 
> If you don't report back, I'll close this bug by the end of June 2006.

Closing the bug now.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Message sent on to Robert Bihlmeyer <robbe@orcus.priv.at>:
Bug#151532. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 03:07:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:14:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.